% guarda los datos de un punto de agarre (datos locales) para un ejemplo de entrenamiento (una linea de fichero)
function result = escribeconfiguracion(file, conf, num_dedos)

if num_dedos==3

    % por ahora es necesario calcular la cinematica del robot scara
    [x_ori, y_ori, la, lb] = datos_scara;
    [q1, q2, q3] = cinematica_scara(x_ori, y_ori, conf(1), conf(2), conf(3), la, lb);
    
    fprintf(file, '%f, ', conf(4)); % apertura de los dedos articulados
    fprintf(file, '%f, ', conf(5)); % avance del primer dedo de la pinza (el dedo no articulado)
    fprintf(file, '%f, ', conf(6)); % avance del segundo dedo de la pinza (sentido contrario a las agujas del reloj)   
    fprintf(file, '%f, ', conf(7)); % avance del primer dedo de la pinza (sentido contrario a las agujas del reloj)      
    fprintf(file, '%f, ', q3(1)); % articulacion 3 SCARA (se toma configuracion codo 'arriba')
    fprintf(file, '%f, ', q2(1)); % articulacion 2 SCARA (se toma configuracion codo 'arriba')    
    fprintf(file, '%f \n', q1(1)); % articulacion 1 SCARA (se toma configuracion codo 'arriba')    
    
else   
    % fprintf(1, 'no preparado para este numero de dedos\n');
    % fprintf(1, 'no se utilizan los datos de configuracion\');
end


return
