% crea fichero de test para el programa de generacion de arboles de decision weka
function escribetestglobal(dist, angulo, num, num_dedos)

% escritura de fichero de datos weka
file = fopen('..\results\test_global.arff', 'w');
globalheading(file, num_dedos);

for i=1:num

    % distancia al centro de gravedad
    fprintf(file, '%f, ', dist(i));

    % angulo a cinco resoluciones para cada dedo
    for j=1:num_dedos
        for k=1:5
            fprintf(file, '%f, ', angulo(i,j,k));
        end
    end

    % agarre correcto o incorrecto
    fprintf(file, '?\n');

end

fclose(file);





