% calcula el incremento sobre un punto origen en direccion a un punto destino, con conexidad 8
function [delta_x, delta_y] = incremento(xa, ya, xb, yb)

% direccion desde el punto a al punto b
angulo = angle(xb-xa + j*(yb-ya));

% direccion mas similar con conexidad 8
if angulo>(-pi/8) & angulo<=(pi/8)
   delta_x = 1;
   delta_y = 0;
elseif angulo>(pi/8) & angulo<=(3*pi/8)
   delta_x = 1;
   delta_y = 1;
elseif angulo>(3*pi/8) & angulo<=(5*pi/8)
   delta_x = 0;
   delta_y = 1;
elseif angulo>(5*pi/8) & angulo<=(7*pi/8)
   delta_x = -1;
   delta_y = 1;
elseif angulo>(7*pi/8) & angulo<=(pi)
   delta_x = -1;
   delta_y = 0;  
elseif angulo>(-pi) & angulo<=(-7*pi/8)
   delta_x = -1;
   delta_y = 0;
elseif angulo>(-7*pi/8) & angulo<=(-5*pi/8)
   delta_x = -1;
   delta_y = -1;
elseif angulo>(-5*pi/8) & angulo<=(-3*pi/8)
   delta_x = 0;
   delta_y = -1;
elseif angulo>(-3*pi/8) & angulo<=(-pi/8)
   delta_x = 1;
   delta_y = -1;
end

return