% lee un contorno generado con opencv
function [x, y, xc, yc] = lee_contorno_opencv(fichero)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% lectura del contorno original
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

file = fopen(fichero);

% lee centroide
linea = fgets(file);
datos = sscanf(linea, '%f');
xc = datos(1);
yc = datos(2);

% lee contorno
num_puntos = 0;
linea = fgets(file);
while linea~=-1
   datos = sscanf(linea, '%d');
   num_puntos = num_puntos+1;
   x(num_puntos)=datos(1);
   y(num_puntos)=datos(2);
   linea = fgets(file);
end

fclose(file);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% interpolacion para aadir puntos intermedios con conexidad 8
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% ELIMINADO PARA ARTICULO PRL, AUNQUE APARENTEMENTE NO HACE NADA
% x(num_puntos+1)=x(1);
% y(num_puntos+1)=y(1);
% 
% insertar(1:num_puntos)=0;
% 
% for i=1:num_puntos
%    
%    xa = x(i);
%    ya = y(i);
%    xb = x(i+1);
%    yb = y(i+1);   
%    
%    while separados(xa, ya, xb, yb)
%       insertar(i)=insertar(i)+1;
%       [delta_x, delta_y] = incremento(xa, ya, xb, yb);
%       x_in(i, insertar(i)) = xa + delta_x;
%       y_in(i, insertar(i)) = ya + delta_y;
%       xa = x_in(i, insertar(i));
%       ya = y_in(i, insertar(i));
%    end
%    
% end
% 
% num_nuevo = 0;
% for i=1:num_puntos
%    
%    num_nuevo = num_nuevo+1;
%    xnuevo(num_nuevo)=x(i);
%    ynuevo(num_nuevo)=y(i);
%    
%    for j=1:insertar(i)
%       num_nuevo = num_nuevo+1;
%       xnuevo(num_nuevo)=x_in(i,j);
%       ynuevo(num_nuevo)=y_in(i,j);
%    end
%    
% end

% figure;
% plot(xnuevo,ynuevo, 'b*-');
% hold on;
% plot(xc, yc, 'g*');
% plot(x,y, 'r*');
% hold off;

return
