% lee ficheros de datos conjuntos de agarre y se queda solo con los correctos
function datos = leeglobalok(num_dedos)

% abre fichero de datos de puntos de agarre
if num_dedos==3
    file = fopen('..\results\global3red.arff', 'r');
elseif num_dedos==2
    file = fopen('..\results\global2red.arff', 'r');
end    

% el numero de datos a leer para cada ejemplo depende del numero de dedos
formato = '%f,';
for i=1:num_dedos
    formato = strcat(formato, '%f,%f,%f,%f,%f,');
end
formato = strcat(formato, '%d');

% lee lineas de comentarios
seguir=1;
while seguir==1
   	cadena = fgets(file);
   	carac = size(cadena);
  	if (carac(2)>=5)
   	   if cadena(1:5)=='@data'
	       seguir=0;
   	   end
   end
end
   
cadena = fgets(file);
   
num_ej = 0;
seguir = 1;
while seguir==1
   	cadena = fgets(file);
	if cadena==-1
    % se acabo el fichero
	   seguir=0;
    else
       % se lee la linea correspondiente al agarre correcto
       num_ej = num_ej+1;
       lectura = sscanf(cadena, formato);

       datos(num_ej, 1) = lectura(1);
       for i=1:num_dedos
           for j=1:5
               angulos(num_ej, i, j)=lectura(5*i+j-4);
           end
       end
       
       % se lee la linea correspondiente al agarre incorrecto
       cadena = fgets(file);
   	   
   end
            
end	   

fclose(file);

% se ordenan los valores angulares leidos
angulos_ord = sort(angulos, 2);

% se combina el dato de distancias con los datos angulares, una vez ordenados
for i=1:num_ej
    for j=1:num_dedos
        for k=1:5
            datos(i, 5*(j-1)+k+1) = angulos_ord(i, j, k);
        end
    end
end


