% busca todas las combinaciones de puntos candidatos que son alcanzables por la pinza
function [conj, num_conj] = reachable2(candidato, x, y, num_dedos, lim_max, lim_min, numtotal)

% primer paso: generacion de todos los conjuntos posibles

% crea una variable con todos los puntos candidatos

num_cand = 0;
for i=1:numtotal
    if candidato(i)==1
        num_cand = num_cand+1;
        cand(num_cand)=i;
    end
end

num_conj = num_cand*(num_cand-1)*(num_cand-2)/6;
conj(1:num_conj,1:3)=0;

% crea todas las combinaciones posibles de dos en dos puntos
num_conj = 0;
for i=1:num_cand
    for j=i+1:num_cand
        num_conj = num_conj+1;
        conj(num_conj,1)=cand(i);
        conj(num_conj,2)=cand(j);
    end
end

% rechaza puntos no alcanzables (comparaciones triviales para dos dedos)
if num_conj>0
    [conj, num_conj] = rechaza_trivial2(conj, num_conj, x, y, lim_max, lim_min);
end

% rechaza puntos no alcanzables (comparaciones detalladas)... por hacer
% [conj, num_conj] = rechaza_detalle2(conj, num_conj, x, y, ...);



            