% guarda resultados de agarre en archivo
function storeresult(file, objeto, x, y, conjunto, valido, optimo)

% object contours
[numtotal, ncont, npoints, c, p] = object_contours(x);

if optimo==0
    % indica que no existe solucion en el fichero de puntos de contacto
    fprintf(file, 'Figura %02d, --------\n', objeto);       
else        
    % se busca el conjunto optimo
    num_val=0;
    for jj=1:length(valido)
        if valido(jj)
            num_val = num_val+1;
            if num_val == optimo
                ind_opt = jj;
            end
        end
    end
    % guarda los puntos de contacto elegidos para hacer graficos
    fprintf(file, 'Figura %02d, x1y1x2y2 = %f %f %f %f\n', objeto, ...
        x{c(conjunto(ind_opt,1))}(p(conjunto(ind_opt,1)))-200, ...
        y{c(conjunto(ind_opt,1))}(p(conjunto(ind_opt,1)))-200, ...
        x{c(conjunto(ind_opt,2))}(p(conjunto(ind_opt,2)))-200, ...
        y{c(conjunto(ind_opt,2))}(p(conjunto(ind_opt,2)))-200);        
end

return
