% guarda resultados de agarre en archivo
function storetrain(file, objeto, x, y, graspx, graspy)

% se busca el contorno donde estn los puntos seleccionados
% y se calculan los elementos coincidentes (los mas cercanos)
for contacto = 1:2
    dif_min = inf;
    for cont=1:length(x)
        nptos = length(x{cont});
        for i=1:nptos
            dif = (x{cont}(i)-graspx(contacto))^2+(y{cont}(i)-graspy(contacto))^2;
            if dif<dif_min          
                dif_min = dif;
                cont_min(contacto) = cont;
                pto_min(contacto) = i;
            end
        end
    end
end

% guarda los puntos de contacto elegidos para hacer graficos
fprintf(file, 'Figura %02d, x1y1x2y2 = %f %f %f %f\n', objeto, ...
    x{cont_min(1)}(pto_min(1))-200, ...
    y{cont_min(1)}(pto_min(1))-200, ...
    x{cont_min(2)}(pto_min(2))-200, ...
    y{cont_min(2)}(pto_min(2))-200);        

return
