% determina cuales de los conjuntos de puntos son validos para el agarre
function [valido, dist, angulo] = testglobal(conjunto, num, x, y, xc, yc, num_dedos);

dist(1:num)=0;
angulo(1:num, 1:num_dedos, 1:5)=0;

% contorno y punto de cada elemento del vector unin de todos los contornos
ind = 0;
for i=1:length(x)
    for k=1:length(x{i})
        ind = ind+1;
        c(ind)=i;
        p(ind)=k;
    end
end
numtotal = ind;

% calculo de los datos globales
for i=1:num
    
    for j=1:num_dedos
        contorno(j) = c(conjunto(i,j));
        punto(j) = p(conjunto(i,j));
    end
 
    [di, an] = datosconjunto(x, y, xc, yc, contorno, punto, num_dedos);

    dist(i)=di;
    for j=1:num_dedos
        for k=1:5
            angulo(i,j,k)=an(j,k);
        end
    end
    
end

% crea fichero de entrada a weka con datos de test
escribetestglobal(dist, angulo, num, num_dedos);

% lanza weka para comprobar resultados con datos de test
testwekaglobal(num_dedos);

% lee resultados de weka para los datos de test
valido = leewekaglobal(num);

%valido = ptovalido(dist, ang_10, ang_20, ang_30, ang_40, ang_50);
