% lee un fichero de puntos de contorno de un objeto
function [x, y, xc, yc] = carga_figura_real(num_fig);
   
% carga puntos x e y del contorno
fichero = sprintf('..//intercambio//cont%02d.txt', num_fig);
file = fopen(fichero, 'r');

% carga puntos x e y del centroide de la figura
file = fopen(fichero, 'r');
cadena = fgets(file);
datos = sscanf(cadena, '%f');
xc = datos(1);
yc = datos(2);
   
acabar = 0;
num=0;
while acabar==0
    cadena = fgets(file);
    if cadena==-1
        acabar = 1;
    else
        datos = sscanf(cadena, '%d');
        num = num+1;
        x_rev(num) = datos(1);
        y_rev(num) = datos(2);
    end
end
   
fclose(file);

% reordena los puntos del contorno para que esten ordenados
% en el sentido de las agujas del reloj
for i=num:-1:1
    x(num+1-i)=x_rev(i);
    y(num+1-i)=y_rev(i);
end
   
    
return
