% calcula la cinematica inversa de un robot scara
% (devuelve las dos posibles soluciones)
function [q1, q2, q3] = cinematica_scara(x_ori, y_ori, x_pinza, y_pinza, angulo, la, lb)

x = x_pinza - x_ori;
y = y_pinza - y_ori;

long2 = x^2 + y^2;
long = sqrt(long2);
ang_1 = angle(x + y*j);
ang_2 = acos((la^2-lb^2+long2)/(2*la*long));

% articulacion 1
q1(1) = ang_1+ang_2;
q1(2) = ang_1-ang_2;

% articulacion 2
q2(1) = acos((la^2+lb^2-long2)/(2*la*lb));
q2(2) = -q2(1);

% articulacion 3
q3(1) = angulo-q1(1)-q2(1);
q3(2) = angulo-q1(2)-q2(2);

return
