% crea cabecera de fichero de entrenamiento para el programa de aprendizaje weka (datos globales)
function globalheading(file, num_dedos)

% escritura de fichero de datos weka
fprintf(file, '%% fichero formato ARFF con datos de conjuntos de puntos de agarre\n\n');
fprintf(file, '@relation agarre\n\n');
fprintf(file, '@attribute dist_cg numeric\n');

for i=1:num_dedos
    fprintf(file, '@attribute ang_%d_10 numeric\n', i);
    fprintf(file, '@attribute ang_%d_20 numeric\n', i);
    fprintf(file, '@attribute ang_%d_30 numeric\n', i);
    fprintf(file, '@attribute ang_%d_40 numeric\n', i);
    fprintf(file, '@attribute ang_%d_50 numeric\n', i);
end

fprintf(file, '@attribute agarre_ok? {0, 1}\n\n');
fprintf(file, '@data\n\n');

return





