% loads an object for training
function [x, y, xc, yc] = load_object(num_fig);
   
switch num_fig
case 1
    ejemplo = '../objects/bandera';
case 2
    ejemplo = '../objects/botella';
case 3
    ejemplo = '../objects/cilindro';
case 4
    ejemplo = '../objects/estrella';
case 5
    ejemplo = '../objects/flecha1';
case 6
    ejemplo = '../objects/flecha2';
case 7
    ejemplo = '../objects/flecha3';
case 8
    ejemplo = '../objects/hexagono';
case 9
    ejemplo = '../objects/iman';
case 10
    ejemplo = '../objects/luna';
case 11
    ejemplo = '../objects/monigote';
case 12
    ejemplo = '../objects/octogono';
case 13
    ejemplo = '../objects/pentagono';
case 14
    ejemplo = '../objects/pesas';
case 15
    ejemplo = '../objects/placa';
case 16
    ejemplo = '../objects/rayo';
case 17
    ejemplo = '../objects/rombo';
case 18
    ejemplo = '../objects/rugby';
case 19
    ejemplo = '../objects/sarten';
case 20
    ejemplo = '../objects/trapecio';
case 21
    ejemplo = '../objects/copa1';
case 22
    ejemplo = '../objects/copa2';
case 23
    ejemplo = '../objects/copa3';
case 24
    ejemplo = '../objects/copa4';
case 25
    ejemplo = '../objects/copa5';
case 26
    ejemplo = '../objects/copa6';
case 27
    ejemplo = '../objects/sarten1';
case 28
    ejemplo = '../objects/sarten2';
case 29
    ejemplo = '../objects/sarten3';
case 30
    ejemplo = '../objects/sarten4';
case 31
    ejemplo = '../objects/sarten5';
case 32
    ejemplo = '../objects/sarten6';
case 33
    ejemplo = '../objects/taza1';
case 34
    ejemplo = '../objects/taza2';
case 35
    ejemplo = '../objects/taza3';
case 36
    ejemplo = '../objects/taza4';
case 37
    ejemplo = '../objects/taza5';
case 38
    ejemplo = '../objects/taza6';
end

% carga puntos x e y del contorno
fichero = sprintf('%s', ejemplo);
load (fichero);

% carga puntos x e y del centroide de la figura
fichero = sprintf('%s.cent', ejemplo);
file = fopen(fichero, 'r');
[cent, n] = fscanf(file, '%f');
fclose(file);
xc = cent(1);
yc = cent(2);

% centra en la figura del interfaz
for i=1:length(x)
    x{i} = x{i} + 200; 
    y{i} = y{i} + 200;
end
xc = xc + 200;
yc = yc + 200;

return
