% determina cuales de los puntos son validos para el agarre
function [valido, dist, angulo] = testlocal(x, y, xc, yc, ndedos)

% numero total de puntos, contando todos los contornos
num = 0;
ncont = length(x);
for i=1:ncont
    npuntos(i) = length(x{i});
    num = num + npuntos(i);
end

% valores iniciales para dist y angulo
dist(1:num)=0;
angulo(1:num, 1:5)=0;

ind = 0;
for i=1:ncont
    for j=1:npuntos(i)
        ind = ind+1;
        [di, an] = datospunto(x{i}, y{i}, xc, yc, j);
        dist(ind)=di;
        for k=1:5
            angulo(ind,k)=an(k);
        end
   end
end

% crea fichero de entrada a weka con datos de test
escribetestlocal(dist, angulo, num);

% lanza weka para comprobar resultados con datos de test
testwekalocal(ndedos);

% lee resultados de weka para los datos de test
valido = leewekalocal(num);
%valido = ptovalido(dist, ang_10, ang_20, ang_30, ang_40, ang_50);
